Subject: bug#62240: Exception within (guix store) process-stderr when using suspendable ports

From: Christopher Baines <[email-masked]>
Date: Fri, 17 Mar 2023 22:29:08 +0000

Christopher Baines <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> I'm seeing this in the build coordinator agent, but it can be reproduced
>> by tweaking the guix build script as below. The build coordinator uses
>> suspendable ports as this is required to set timeouts for some I/O
>> operations.
>>
>> I'm guessing this is maybe a bug within Guile, but I thought I'd start
>> reporting it here anyway.
>
> I've sent a patch now to guile-devel that should fix this issue
> https://lists.gnu.org/archive/html/guile-devel/2023-03/msg00014.html

I've also now sent an update to the Guile package used by guix and the
guix-build-coordinator to include the patch sent upstream:

  https://issues.guix.gnu.org/62243